## org.eclipse.xsd.impl.type
Class XSDTypeRegister

    java.lang.Object
      org.eclipse.xsd.impl.type.XSDTypeRegister

    public class XSDTypeRegister

extends java.lang.Object

Field Summary
`protected static java.util.Map<java.lang.String,XSDAnySimpleType>` `map`

Constructor Summary
`XSDTypeRegister()`

Method Summary
`static java.util.Map<java.lang.String,XSDAnySimpleType>` `getMap()`
`static XSDAnySimpleType` `getTypeImplementer(java.lang.String primitiveTypeName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    protected static java.util.Map<java.lang.String,XSDAnySimpleType> map

Constructor Detail

### XSDTypeRegister

    public XSDTypeRegister()

Method Detail

### getMap

    public static java.util.Map<java.lang.String,XSDAnySimpleType> getMap()

### getTypeImplementer

    public static XSDAnySimpleType getTypeImplementer(java.lang.String primitiveTypeName)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.